Page MenuHomeFreeBSD

netgraph/ng_bridge: switch to counter framework
ClosedPublic

Authored by donner on Jan 12 2021, 10:27 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 14, 8:20 PM
Unknown Object (File)
Sun, May 12, 8:56 PM
Unknown Object (File)
Thu, May 9, 2:05 AM
Unknown Object (File)
Sun, Apr 28, 9:27 PM
Unknown Object (File)
Sat, Apr 27, 3:26 PM
Unknown Object (File)
Apr 26 2024, 2:06 AM
Unknown Object (File)
Apr 26 2024, 2:06 AM
Unknown Object (File)
Apr 26 2024, 2:06 AM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

LGTM. Does it really depend on D28123?

sys/netgraph/ng_bridge.c
93

Maybe _kstats?

450

_statS() for consistency?

This revision is now accepted and ready to land.Jan 13 2021, 1:16 AM

LGTM. Does it really depend on D28123?

Formally the change does not require D28123 to be applied.
It's a reverse dependency: Many changes are necessary to remove the WRITER annotation.

Without the motivation of D28123, this change is senseless.

Is there a better way to organize a bunch of prerequisite changes?

Choose better names as suggested by melifaro.

This revision now requires review to proceed.Jan 13 2021, 6:20 AM

Reversing errornously included stacked commit.

This revision is now accepted and ready to land.Jan 13 2021, 7:44 AM
This revision now requires review to proceed.Feb 6 2021, 2:18 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 6 2021, 5:18 PM
This revision was automatically updated to reflect the committed changes.